Name:           ipcad
Version:        3.7.3
Release:        5%{?dist}
Summary:        IP accounting daemon

Group:          System Environment/Daemons
License:        BSD
URL:            http://sourceforge.net/projects/ipcad
Source0:        http://downloads.sourceforge.net/ipcad/%name-%{version}.tar.gz
Source1:        ipcad.conf
Source2:        ipcad.init
Source3:        ipcad.sysconfig
Patch0:         ipcad-3.7-linux-2.6.27.patch
Patch1:         ipcad-3.7-linux-2.6.35.patch
Patch2:         ipcad-3.7.3-signal_h.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libpcap-devel

%description
IPCAD stands for IP Cisco Accounting Daemon. It runs in background and
listens traffic on the specified interfaces. ipcad uses raw BPF devices
(/dev/bpf*), PCAP library (pcap(3)) or Linux iptables' ULOG (>=2.4.18-pre8)
packet sources.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1

%build
autoreconf
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%{__install} -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/ipcad.conf
%{__install} -D -m 644 ipcad.8 $RPM_BUILD_ROOT%{_mandir}/man8/ipcad.8
%{__install} -D -m 644 ipcad.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5/ipcad.conf.5
%{__install} -D -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/ipcad
%{__install} -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ipcad


%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add ipcad
fi


%preun
if [ $1 = 0 ]; then
    /sbin/service ipcad stop > /dev/null 2>&1
    /sbin/chkconfig --del ipcad
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README ipcad.conf.default
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/ipcad.conf*
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/ipcad
%attr(755,root,root) %{_bindir}/ipcad
%attr(755,root,root) %{_initrddir}/ipcad
%{_mandir}/man*/*



%changelog
* Mon Sep 05 2011 Yury V. Zaytsev <yury@shurup.com> - 3.7.3-5
- Imported patches from Gentoo to fix RHEL6 build.

* Mon Nov 09 2009 Denis Frolov <d.frolov81@mail.ru> - 3.7.3-4
- Replace original conf file

* Thu Oct 15 2009 Denis Frolov <d.frolov81@mail.ru> - 3.7.3-3
- Rebuild for 3.7.3

* Fri Jan 23 2009 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 3.7.3-2
- Don't replace original default configuration file

* Sat Jul 12 2008 Denis Frolov <d.frolov81 at mail.ru> 3.7.3-1
- Initial build for Red Hat Club Repository
